Subject: Re: [PATCH 1/2] ipmr: delete redundant variable

From: Wang Chen <[email-masked]>
Date: Wed, 23 Jul 2008 23:16:24 +0800

Ingo Oeser said the following on 2008-7-23 20:05:
> Hi Wand Chen,
> 
> Wang Chen schrieb:
>> But "accessing entry of table by index" is always allowed,
>> right?
>> If the complier makes such pointer which spills a register with
>> the multiply/shift, the simple code as following is bug too:
>> i = table[100].field;
>> But it shouldn't, right :)
> 
> I'm NOT telling you, that your transformation is introducing a BUG.
> It is semantically perfectly equivalent.
> 
> I'm trying to tell you, that it might not led to the same or better 
> performance and might thus be not worth it.
> 

Agree. I also think the accessing by index might lead to worse performance.
But in this code, we don't care performance, since it only be called when
device is unregistered. :)

> But please check the generated assembly yourself on a CISC and RISC
> machine to get an idea of the effects. It will be a nice learning 
> experience I enjoyed myself already.
> 

Sure. I am doing it.